Index: /XIOS/trunk/src/transformation/generic_algorithm_transformation.cpp
===================================================================
--- /XIOS/trunk/src/transformation/generic_algorithm_transformation.cpp	(revision 1541)
+++ /XIOS/trunk/src/transformation/generic_algorithm_transformation.cpp	(revision 1542)
@@ -165,5 +165,5 @@
   int nbClient = client->clientSize;
 
-  typedef boost::unordered_map<int, std::vector<std::pair<int,double> > > SrcToDstMap;
+  typedef std::unordered_map<int, std::vector<std::pair<int,double> > > SrcToDstMap;
   int idx;
 
@@ -287,5 +287,5 @@
         if (idx != elementPositionInGrid)
         {
-          boost::unordered_map<int,std::vector<size_t> >::iterator itb = globalElementIndexOnProc_[idx].begin(), it,
+          std::unordered_map<int,std::vector<size_t> >::iterator itb = globalElementIndexOnProc_[idx].begin(), it,
                                                                    ite = globalElementIndexOnProc_[idx].end();
           for (it = itb; it != ite; ++it) it->second.resize(1);
@@ -301,5 +301,5 @@
         if (idx != elementPositionInGrid)
         {
-          boost::unordered_map<int,std::vector<size_t> >::iterator itb = globalElementIndexOnProc_[idx].begin(), it,
+          std::unordered_map<int,std::vector<size_t> >::iterator itb = globalElementIndexOnProc_[idx].begin(), it,
                                                                    ite = globalElementIndexOnProc_[idx].end();
           for (it = itb; it != ite; ++it) procOfNonTransformedElements_.insert(it->first);
@@ -359,5 +359,5 @@
           set<int> tmpSet ; 
           procList.swap(tmpSet) ;
-          boost::unordered_map<int,std::vector<size_t> >::iterator itb = globalElementIndexOnProc_[idx].begin(), it,
+          std::unordered_map<int,std::vector<size_t> >::iterator itb = globalElementIndexOnProc_[idx].begin(), it,
                                                                    ite = globalElementIndexOnProc_[idx].end();
           for (it = itb; it != ite; ++it)
@@ -395,5 +395,5 @@
 
     // Build mapping between global source element index and global destination element index.
-    boost::unordered_map<int,std::vector<size_t> >().swap(globalElementIndexOnProc_[elementPositionInGrid]);
+    std::unordered_map<int,std::vector<size_t> >().swap(globalElementIndexOnProc_[elementPositionInGrid]);
     std::set<int> tmpCounter;
     itTransWeight = itbTransWeight;
@@ -426,5 +426,5 @@
         if (idx != elementPositionInGrid)
         {
-          boost::unordered_map<int,std::vector<size_t> >::iterator itb = globalElementIndexOnProc_[idx].begin(), it,
+          std::unordered_map<int,std::vector<size_t> >::iterator itb = globalElementIndexOnProc_[idx].begin(), it,
                                                                    ite = globalElementIndexOnProc_[idx].end();
           for (it = itb; it != ite; ++it) it->second[0] = transPos(idxTrans);
@@ -456,8 +456,8 @@
 void CGenericAlgorithmTransformation::computeGlobalGridIndexMapping(int elementPositionInGrid,
                                                                    const std::vector<int>& srcRank,
-                                                                   boost::unordered_map<int, std::vector<std::pair<int,double> > >& src2DstMap,
+                                                                   std::unordered_map<int, std::vector<std::pair<int,double> > >& src2DstMap,
                                                                    CGrid* gridSrc,
                                                                    CGrid* gridDst,
-                                                                   std::vector<boost::unordered_map<int,std::vector<size_t> > >& globalElementIndexOnProc,
+                                                                   std::vector<std::unordered_map<int,std::vector<size_t> > >& globalElementIndexOnProc,
                                                                    SourceDestinationIndexMap& globaIndexWeightFromSrcToDst)
 {
@@ -615,5 +615,5 @@
  
       SourceDestinationIndexMap::iterator rankIt,rankIte ;
-      boost::unordered_map<size_t, std::vector<std::pair<size_t,double> > >::iterator globalSrcIndexIt, globalSrcIndexIte ;
+      std::unordered_map<size_t, std::vector<std::pair<size_t,double> > >::iterator globalSrcIndexIt, globalSrcIndexIte ;
       std::vector<std::pair<size_t,double> >::iterator vectIt,vectIte ;
    
@@ -653,5 +653,5 @@
                                                                  CScalar* scalarSrc,
                                                                  CArray<size_t,1>& destGlobalIndexPositionInGrid,
-                                                                 boost::unordered_map<int,std::vector<size_t> >& globalScalarIndexOnProc)
+                                                                 std::unordered_map<int,std::vector<size_t> >& globalScalarIndexOnProc)
 {
   CContext* context = CContext::getCurrent();
@@ -677,5 +677,5 @@
                                                                CAxis* axisSrc,
                                                                CArray<size_t,1>& destGlobalIndexPositionInGrid,
-                                                               boost::unordered_map<int,std::vector<size_t> >& globalAxisIndexOnProc)
+                                                               std::unordered_map<int,std::vector<size_t> >& globalAxisIndexOnProc)
 {
   CContext* context = CContext::getCurrent();
@@ -746,5 +746,5 @@
                                                                  CDomain* domainSrc,
                                                                  CArray<size_t,1>& destGlobalIndexPositionInGrid,
-                                                                 boost::unordered_map<int,std::vector<size_t> >& globalDomainIndexOnProc)
+                                                                 std::unordered_map<int,std::vector<size_t> >& globalDomainIndexOnProc)
 {
   CContext* context = CContext::getCurrent();
Index: /XIOS/trunk/src/transformation/generic_algorithm_transformation.hpp
===================================================================
--- /XIOS/trunk/src/transformation/generic_algorithm_transformation.hpp	(revision 1541)
+++ /XIOS/trunk/src/transformation/generic_algorithm_transformation.hpp	(revision 1542)
@@ -38,12 +38,12 @@
 public:
   // Mapping between global index map of DESTINATION and its local index with pair of global index of SOURCE and weights
-  typedef boost::unordered_map<int, boost::unordered_map<size_t, std::vector<std::pair<size_t,double> > > > SourceDestinationIndexMap;
+  typedef std::unordered_map<int, std::unordered_map<size_t, std::vector<std::pair<size_t,double> > > > SourceDestinationIndexMap;
 
 protected:
-  typedef boost::unordered_map<size_t,int> GlobalLocalMap;
+  typedef std::unordered_map<size_t,int> GlobalLocalMap;
 protected:
-  typedef boost::unordered_map<int, std::vector<int> > TransformationIndexMap;
-  typedef boost::unordered_map<int, std::vector<double> > TransformationWeightMap;
-  typedef boost::unordered_map<int, std::vector<int> > TransformationPositionMap;
+  typedef std::unordered_map<int, std::vector<int> > TransformationIndexMap;
+  typedef std::unordered_map<int, std::vector<double> > TransformationWeightMap;
+  typedef std::unordered_map<int, std::vector<int> > TransformationPositionMap;
 
 public:
@@ -108,8 +108,8 @@
   void computeGlobalGridIndexMapping(int elementPositionInGrid,
                                      const std::vector<int>& srcRank,
-                                     boost::unordered_map<int, std::vector<std::pair<int,double> > >& src2DstMap,
+                                     std::unordered_map<int, std::vector<std::pair<int,double> > >& src2DstMap,
                                      CGrid* gridDst,
                                      CGrid* gridSrc,
-                                     std::vector<boost::unordered_map<int,std::vector<size_t> > >& globalElementIndexOnProc,
+                                     std::vector<std::unordered_map<int,std::vector<size_t> > >& globalElementIndexOnProc,
                                      SourceDestinationIndexMap& globaIndexWeightFromSrcToDst);
 
@@ -117,15 +117,15 @@
                                   CDomain* domainSrc,
                                   CArray<size_t,1>& destGlobalIndexPositionInGrid,
-                                  boost::unordered_map<int,std::vector<size_t> >& globalDomainIndexOnProc);
+                                  std::unordered_map<int,std::vector<size_t> >& globalDomainIndexOnProc);
 
   void computeExchangeAxisIndex(CAxis* axisDst,
                                 CAxis* axisSrc,
                                 CArray<size_t,1>& destGlobalIndexPositionInGrid,
-                                boost::unordered_map<int,std::vector<size_t> >& globalAxisIndexOnProc);
+                                std::unordered_map<int,std::vector<size_t> >& globalAxisIndexOnProc);
 
   void computeExchangeScalarIndex(CScalar* scalarDst,
                                   CScalar* scalarSrc,
                                   CArray<size_t,1>& destGlobalIndexPositionInGrid,
-                                  boost::unordered_map<int,std::vector<size_t> >& globalScalarIndexOnProc);
+                                  std::unordered_map<int,std::vector<size_t> >& globalScalarIndexOnProc);
 
   void computePositionElements(CGrid* dst, CGrid* src);
@@ -151,5 +151,5 @@
   std::set<StdSize> indexElementSrc_;
 
-  std::vector<boost::unordered_map<int,std::vector<size_t> > > globalElementIndexOnProc_;
+  std::vector<std::unordered_map<int,std::vector<size_t> > > globalElementIndexOnProc_;
 
   std::vector<int> procContainSrcElementIdx_;  // List of processes containing source index of transformed elements
Index: /XIOS/trunk/src/transformation/grid_transformation.cpp
===================================================================
--- /XIOS/trunk/src/transformation/grid_transformation.cpp	(revision 1541)
+++ /XIOS/trunk/src/transformation/grid_transformation.cpp	(revision 1542)
@@ -15,5 +15,5 @@
 #include "mpi_tag.hpp"
 #include "grid.hpp"
-#include <boost/unordered_map.hpp>
+#include <unordered_map>
 #include "timer.hpp"
 
@@ -479,5 +479,5 @@
   SourceDestinationIndexMap::const_iterator itbIndex = globaIndexWeightFromSrcToDst.begin(),
                                             iteIndex = globaIndexWeightFromSrcToDst.end(), itIndex;
-  typedef boost::unordered_map<size_t, std::vector<std::pair<size_t,double> > > SendIndexMap;
+  typedef std::unordered_map<size_t, std::vector<std::pair<size_t,double> > > SendIndexMap;
   std::map<int,int> sendRankSizeMap,recvRankSizeMap;
   int connectedClient = globaIndexWeightFromSrcToDst.size();
@@ -522,6 +522,6 @@
   std::vector<MPI_Request> requests;
   std::vector<MPI_Status> status;
-  boost::unordered_map<int, unsigned char* > recvMaskDst;
-  boost::unordered_map<int, unsigned long* > recvGlobalIndexSrc;
+  std::unordered_map<int, unsigned char* > recvMaskDst;
+  std::unordered_map<int, unsigned long* > recvGlobalIndexSrc;
   for (std::map<int,int>::const_iterator itRecv = recvRankSizeMap.begin(); itRecv != recvRankSizeMap.end(); ++itRecv)
   {
@@ -537,8 +537,8 @@
   }
 
-  boost::unordered_map<int, CArray<size_t,1> > globalIndexDst;
-  boost::unordered_map<int, CArray<double,1> > weightDst;
-  boost::unordered_map<int, unsigned char* > sendMaskDst;
-  boost::unordered_map<int, unsigned long* > sendGlobalIndexSrc;
+  std::unordered_map<int, CArray<size_t,1> > globalIndexDst;
+  std::unordered_map<int, CArray<double,1> > weightDst;
+  std::unordered_map<int, unsigned char* > sendMaskDst;
+  std::unordered_map<int, unsigned long* > sendGlobalIndexSrc;
   for (itIndex = itbIndex; itIndex != iteIndex; ++itIndex)
   {
@@ -670,10 +670,10 @@
   delete [] recvSizeBuff;
 
-  boost::unordered_map<int, unsigned char* >::const_iterator itChar;
+  std::unordered_map<int, unsigned char* >::const_iterator itChar;
   for (itChar = sendMaskDst.begin(); itChar != sendMaskDst.end(); ++itChar)
     delete [] itChar->second;
   for (itChar = recvMaskDst.begin(); itChar != recvMaskDst.end(); ++itChar)
     delete [] itChar->second;
-  boost::unordered_map<int, unsigned long* >::const_iterator itLong;
+  std::unordered_map<int, unsigned long* >::const_iterator itLong;
   for (itLong = sendGlobalIndexSrc.begin(); itLong != sendGlobalIndexSrc.end(); ++itLong)
     delete [] itLong->second;
Index: /XIOS/trunk/src/xios_spl.hpp
===================================================================
--- /XIOS/trunk/src/xios_spl.hpp	(revision 1541)
+++ /XIOS/trunk/src/xios_spl.hpp	(revision 1542)
@@ -6,4 +6,6 @@
 #include <string>
 #include <algorithm>
+#include <unordered_map>
+#include <memory>
 
 // standard C
@@ -28,6 +30,4 @@
 
 /// boost headers ///
-#include <boost/unordered_map.hpp>
-#include <boost/shared_ptr.hpp>
 #include <boost/cast.hpp>
 /// Map ///
